| Home | Libraries | People | FAQ | More

## Function template invoke

boost::compute::invoke

## Synopsis

    // In header: <boost/compute/utility/invoke.hpp>

    template<typename Function, class... Args>
      result_of< Function(Args...)>::type
      invoke(const Function & function, command_queue & queue,
             const Args &... args);

## Description

Invokes `function` with `args` on `queue`.

For example, to invoke the builtin abs() function:

    int result = invoke(abs<int>(), queue, -10); // returns 10